/* ---------------------------------------------------------------------------
 * Header file of declarations and macro definitions for ask.c functions.
 *
 * Author : J.B.Lane UCL March 1998                                      ask.h
 * ---------------------------------------------------------------------------
 */

#ifndef ASK_H
#define ASK_H

#include <stdio.h>

/* Definitions */

enum ask_reply { ASK_OK, ASK_DEFAULT, ASK_YES, ASK_NO } ;

/* Prototypes */

#ifdef __cplusplus
extern "C" {
#endif

int             tim_vme (const int) ;
unsigned short* ask_vme (const int) ;

int ask      (const char *, const unsigned int, unsigned int *) ;
int askyn    (const char *, const int) ;
int ask_int  (const char *Prompt, const  int  Default,  int *word);
int ask_line (const char *Prompt, const char *Default, char *line);
int ask_getline (                 const char *Default, char *line);

#ifdef __cplusplus
}
#endif

#endif
