#File: MakeTimlet.mk

# An include makefile for Timlet and family

CPPFLAGS += -I$(RODDAQ)/RodCrate -I$(RODDAQ)/CommonWithDsp
VPATH =       $(RODDAQ)/RodCrate   $(RODDAQ)/CommonWithDsp ../source

EXES = timlet$(exe)   timrun$(exe)  timConsole$(exe)  po$(exe)
TIMS = timlet.$(obj)  timrun.$(obj) timConsole.$(obj) po.$(obj)
UTIL = timcode.$(obj) timcxx.$(obj) timscan.$(obj) TimSequin.$(obj) \
           ask.$(obj) $(vme).$(obj)

tim : $(EXES)

timlet$(exe)     : timlet.$(obj)     $(UTIL)
timrun$(exe)     : timrun.$(obj)     $(UTIL)
timConsole$(exe) : timConsole.$(obj) $(UTIL)
po$(exe)         : po.$(obj) ask.$(obj) $(vme).$(obj) 

$(TIMS) $(UTIL)         $(mem).$(obj) : ask.h
$(TIMS) timcode.$(obj) timscan.$(obj) : timlet.h generated_tim_constants.h
         timcxx.$(obj) timscan.$(obj) : timscan.h

TimSequin.$(obj) : TimSequin.h TimDefine.h processor.h

clean:
	rm $(EXES) *.$(obj)
